Get Password Expiration By Task ID

Get Password Expiration By Task ID
Retrive a password expiration task by ID

Retrive a password expiration task by ID

Request
URI
GET
https://{api_host}/v1/credentials/expirations/{id}
COPY
Path Parameters
string
id
Required  

The expiration fetch workflow ID


Responses
200

Ok

Returns CredentialsExpiration of type(s) application/json
{
    "id": "string",
    "status": "One among: COMPLETED, FAILED, IN_PROGRESS",
    "elements": [
        {
            "id": "string",
            "username": "string",
            "resource": {
                "resourceId": "string",
                "resourceName": "string",
                "resourceIp": "string",
                "resourceType": "One among: ESXI, VCENTER, PSC, NSXT_MANAGER, NSXT_EDGE, NSX_ALB, BACKUP, HCX_MANAGER, VSP",
                "domainNames": [
                    "string"
                ],
                "domainName": "string"
            },
            "expiry": {
                "expiryDate": "string",
                "lastCheckedDate": "string",
                "connectivityStatus": "One among: ACTIVE, ERROR, UNKNOWN",
                "status": "One among: ACTIVE, EXPIRING, EXPIRED, UNKNOWN",
                "connectivityErrorDetails": {
                    "errorCode": "string",
                    "arguments": [
                        "string"
                    ],
                    "errorMessage": "string",
                    "remediationMessage": "string",
                    "referenceToken": "string"
                }
            },
            "errors": [
                {
                    "errorCode": "string",
                    "errorType": "string",
                    "arguments": [
                        "string"
                    ],
                    "context": {
                        "context": "string"
                    },
                    "notifications": [
                        {
                            "severity": "string",
                            "message": "string",
                            "remediations": [
                                {
                                    "message": "string",
                                    "link": "string"
                                }
                            ],
                            "impactMessage": "string"
                        }
                    ],
                    "message": "string",
                    "remediationMessage": "string",
                    "causes": [
                        {
                            "type": "string",
                            "message": "string"
                        }
                    ],
                    "nestedErrors": [
                        {
                            "errorCode": "string",
                            "errorType": "string",
                            "arguments": [
                                "string"
                            ],
                            "context": {
                                "context": "string"
                            },
                            "notifications": [
                                {
                                    "severity": "string",
                                    "message": "string",
                                    "remediations": [
                                        {
                                            "message": "string",
                                            "link": "string"
                                        }
                                    ],
                                    "impactMessage": "string"
                                }
                            ],
                            "message": "string",
                            "remediationMessage": "string",
                            "causes": [
                                {
                                    "type": "string",
                                    "message": "string"
                                }
                            ],
                            "nestedErrors": [
                                {
                                    "errorCode": "string",
                                    "errorType": "string",
                                    "arguments": [
                                        "string"
                                    ],
                                    "context": {
                                        "context": "string"
                                    },
                                    "notifications": [
                                        {
                                            "severity": "string",
                                            "message": "string",
                                            "remediations": [
                                                {
                                                    "message": "string",
                                                    "link": "string"
                                                }
                                            ],
                                            "impactMessage": "string"
                                        }
                                    ],
                                    "message": "string",
                                    "remediationMessage": "string",
                                    "causes": [
                                        {
                                            "type": "string",
                                            "message": "string"
                                        }
                                    ],
                                    "nestedErrors": [
                                        "Error Object"
                                    ],
                                    "referenceToken": "string",
                                    "label": "string",
                                    "remediationUrl": "string"
                                }
                            ],
                            "referenceToken": "string",
                            "label": "string",
                            "remediationUrl": "string"
                        }
                    ],
                    "referenceToken": "string",
                    "label": "string",
                    "remediationUrl": "string"
                }
            ],
            "creationTimestamp": "string",
            "completionTimestamp": "string"
        }
    ],
    "creationTimestamp": "string",
    "completionTimestamp": "string"
}
string
id
Read-Only  

ID of expiration task

string
status
Required   Read-Only  

Execution status of the expiration

array of object
elements
Read-Only  

List of one or more expiration checks that are performed as part of the credentials expiration task

string
creationTimestamp
Read-Only  

Creation timestamp

string
completionTimestamp
Read-Only  

Completion timestamp


400

Bad Request

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


404

Not Found

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/credentials/expirations/{id}